<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
	  data-namespace-typo3-fluid="true">
<f:layout name="General" />
<!--
	=====================
		Templates/News/List.html
-->

<f:section name="content">
	<div class="container">
		<!--TYPO3SEARCH_end-->
		<f:if condition="{news}">
			<f:then>
				<f:if condition="{settings.templateLayout} == 99">
					<f:then>
						<div class="event-list w-100">
							<hr>
							<f:for each="{news}" as="newsItem" iteration="iterator">
								<f:render partial="List/Event" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
							</f:for>
						</div>
						<f:if condition="{settings.hidePagination}">
							<f:then></f:then>
							<f:else>
								<div class="news-pagination my-2 d-flex justify-content-end">
									<f:render partial="List/Pagination" arguments="{pagination: pagination.pagination, paginator: pagination.paginator}" />
								</div>
							</f:else>
						</f:if>
						<f:comment>
							<div class="row">
								<div class="col col-12 col-md-3 col-xl-2"></div>
								<div class="col col-12 col-md-9 col-xl-10">
									<div class="event-button ms-1 mb-1 d-flex justify-content-end w-100 mt-2">
										<a href="#" class="text-decoration-none btn rounded-0 py-quarter col col-md-4 col-12 bg-darkBlue text-white">
											<h5 class="h5 mb-0">
												<f:translate key="more-events" extensionName="twoh_kickstarter" />
											</h5>
										</a>
									</div>
								</div>
							</div>
						</f:comment>
					</f:then>

					<f:else>
						<div class="news-list my-1">
							<f:for each="{news}" as="newsItem" iteration="iterator">
									<f:render partial="List/Item" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
							</f:for>
							<f:comment>
								<div class="event-button col col-lg-4 col-md-6 col-12 d-flex justify-content-center w-100 my-1">
									<a href="#" class="text-decoration-none btn rounded-0 py-quarter bg-darkBlue text-white">
										<h5 class="h5 mb-0">
											<f:translate key="more-news" extensionName="twoh_kickstarter" />
										</h5>
									</a>
								</div>
							</f:comment>
						</div>
						<f:if condition="{settings.hidePagination}">
							<f:then></f:then>
							<f:else>
								<div class="news-pagination my-2 d-flex justify-content-end">
									<f:render partial="List/Pagination" arguments="{pagination: pagination.pagination, paginator: pagination.paginator}" />
								</div>
							</f:else>
						</f:if>
					</f:else>
				</f:if>
			</f:then>
			<f:else>
				<div class="no-news-found">
					<f:translate key="list_nonewsfound" />
				</div>
			</f:else>
		</f:if>

		<!--TYPO3SEARCH_begin-->
	</div>
</f:section>
</html>
